
TOOL_BIN  = XexRetail.exe
TOOL_OBJS = XexRetail.o sha1/sha1.o aes/aes.o
TOOL_LIBS = havege/libhavege.a

%.o : %.c
	gcc -O2 -Wall -Isha1 -Iaes -Ihavege -c $< -o $@

$(TOOL_BIN): $(TOOL_OBJS) 
	gcc -o $(TOOL_BIN) $(TOOL_OBJS) $(TOOL_LIBS)

all: $(TOOL_BIN)

clean:
	rm -f -r $(TOOL_OBJS) $(TOOL_BIN)

rebuild: clean all

